Page MenuHomePhabricator

efl_canvas_animation: reply on the correct API
ClosedPublic

Authored by bu5hm4n on Apr 29 2019, 9:29 AM.

Details

Summary

the animation itself does not implement the player interface, and
nothing forces it to do so. Additionally, we should ask the reference
object for the current progress. Not the animation object.

This fixes pos_set / pos_get.
Depends on D8736

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Apr 29 2019, 9:29 AM
zmike accepted this revision.May 3 2019, 6:44 AM
This revision is now accepted and ready to land.May 3 2019, 6:44 AM
Closed by commit rEFL09a4731813cf: efl_canvas_animation: reply on the correct API (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyMay 12 2019, 2:58 AM
This revision was automatically updated to reflect the committed changes.